#include "../listrc.h"

ICON "../icon.bmp"
SMALLICON "../icon3.bmp"

MENU ID idMainMenu
BEGIN
    PULLDOWN "Options"
    BEGIN
	MENUITEM "Select database " idMainMenuSelectDB "s"
	MENUITEM "New database" idMainMenuNewDB "n"
	MENUITEM "Delete database  " idMainMenuDelDB "d"
	MENUITEM "Beam database  " idMainMenuBeamDB "b"
	MENUITEM SEPARATOR 
        MENUITEM "Customize.." idMainMenuCustom "m"
        MENUITEM "About List.." idMainMenuAbout "a"
    END
END

FORM idMainForm 0 0 160 160
USABLE
NOFRAME
MENUID idMainMenu
BEGIN
    TITLE "List"
    POPUPTRIGGER "" idMainCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idMainCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idMainTable 0 18 160 124 ROWS mainTableRows COLUMNS 1 COLUMNWIDTHS 160
    BUTTON "New" idMainNewButton 2 146 AUTO AUTO
    BUTTON "Find" idMainFindButton PREVRIGHT+6 146 AUTO AUTO
    FIELD ID idMainLookupText AT(PREVRIGHT+6 PREVTOP 110-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 10
    PUSHBUTTON "" ID idMainSelectButton AT(122 148 9 9) FONT 0 NONUSABLE
    REPEATBUTTON "\001" idMainUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idMainDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idViewForm 0 0 160 160
USABLE
NOFRAME
BEGIN
    TITLE "View"
    BUTTON "Done" idViewDoneButton 2 146 AUTO AUTO
    BUTTON "Edit" idViewEditButton PREVRIGHT+6 146 AUTO AUTO
    REPEATBUTTON "\001" idViewUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idViewDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

MENU ID idEditMenu
BEGIN
    PULLDOWN "Edit"
    BEGIN
        MENUITEM "Undo" idEditMenuUndo "u"
        MENUITEM "Cut" idEditMenuCut "x"
        MENUITEM "Copy" idEditMenuCopy "c"
        MENUITEM "Paste" idEditMenuPaste "p"
        MENUITEM "Select All  " idEditMenuSelectAll "s"
	MENUITEM SEPARATOR 
        MENUITEM "Keyboard" idEditMenuKeyboard "k"
    END
END


FORM idEditForm 0 0 160 160
USABLE
NOFRAME
MENUID idEditMenu
BEGIN
    TITLE "Edit"
    POPUPTRIGGER "" idEditCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idEditCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idEditTable 0 18 160 124 ROWS editTableRows COLUMNS 2 COLUMNWIDTHS 40 120
    BUTTON "Done" idEditDoneButton 2 146 AUTO AUTO
    BUTTON "Delete" idEditDeleteButton PREVRIGHT+6 146 AUTO AUTO
    BUTTON "Note" idEditNoteButton PREVRIGHT+6 146 AUTO AUTO NONUSABLE
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idNoteEditForm 0 0 160 160
USABLE
MODAL
MENUID idEditMenu
BEGIN
    TITLE "Note"
    BUTTON "Done" idEditDoneButton 2 146 AUTO AUTO
	FIELD ID idNoteEditField AT(0 18 160 124) LEFTALIGN UNDERLINED MULTIPLELINES MAXCHARS 4095
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idCustomForm 2 2 156 156
USABLE
MODAL
HELPID idCustomHelp
BEGIN
    TITLE "Customize"

	LABEL "List Name:" ID idCustomLabel1 AT(2 18) FONT 0
	FIELD ID idCustomFieldListName AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 20
	LABEL "Field1 Name:" ID idCustomLabel2 AT(2 PREVBOTTOM+4) FONT 0
	FIELD ID idCustomFieldField1 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Field2 Name:" ID idCustomLabel3 AT(2 PREVBOTTOM+2) FONT 0
	FIELD ID idCustomFieldField2 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Display order" ID idCustomLabel4 AT(16 PREVBOTTOM+6) FONT 0
	POPUPTRIGGER "Field1,Field2" ID idCustomPopupTrigger AT(PREVRIGHT+2 PREVTOP AUTO AUTO) LEFTANCHOR
	LIST "Field1,Field2" "Field2,Field1" ID idCustomPopupList AT(PREVLEFT+8 PREVTOP AUTO AUTO) NONUSABLE VISIBLEITEMS 2
	POPUPLIST idCustomPopupTrigger idCustomPopupList
	CHECKBOX "Write-Protect" ID idCustomCheckWritePro AT(16 PREVBOTTOM-4 AUTO AUTO)
	CHECKBOX "Backup next Hot-Sync" ID idCustomCheckBackup AT(16 PREVBOTTOM AUTO AUTO)
	CHECKBOX "Automate Backup" ID idCustomCheckAutomate AT(16 PREVBOTTOM+4 AUTO AUTO)
	CHECKBOX "Select database on launch" ID idCustomCheckSelect AT(16 PREVBOTTOM AUTO AUTO)
	BUTTON "Done" idCustomDoneButton 4 140 AUTO AUTO
	GRAFFITISTATEINDICATOR AT(130 146)
END

STRING idCustomHelp "The List Name, Field1 Name and Field2 Name text fields allow you to "\
	"customize the current List database.\n\n"\
	"Display order allows you to select the style of display for the current database.\n\n"\
	"Write-Protect disables editing of the current database.\n\n"\
	"Backup next Hot-Sync shows the state of the backup-bit for the current database.\n\n"\
	"The last two check boxes are global settings for all List databases.\n\n"\
	"If Automate Backup is set List will automatically flip the backup bit if any "\
	"editing has been performed since the last Hot-Sync.  After a Hot-Sync the "\
	"backup bits will be automatically cleared.\n\n"\
	"Select database on launch controls the start-up behaviour of "\
	"List.  If it is set and there is more than one database the select dialog will appear on "\
	"start-up, otherwise the last active database will be used."



FORM idSelectFormV10 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Select List Database"
    TABLE ID idSelectTable 2 18 156 136 ROWS selectTableRows COLUMNS 1 COLUMNWIDTHS 152
END

FORM idSelectFormV20 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Select List Database"
	LIST "" ID idSelectList 7 18 142 136 VISIBLEITEMS 12
END


FORM idFindForm 2 98 156 60
USABLE
MODAL
MENUID idEditMenu
BEGIN
	TITLE "Local Find"
	LABEL "Find:" ID idFindLabel AT(6 21) FONT 1
	FIELD ID idFindText AT(PREVRIGHT+2 PREVTOP 146-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 30
	BUTTON "   OK   " idFindOkButton 6 44 AUTO AUTO
	BUTTON "Cancel" idFindCancelButton PREVRIGHT+6 PREVTOP AUTO AUTO
	GRAFFITISTATEINDICATOR AT(134 48)
END

FORM idFindResultsForm 2 2 156 156
USABLE
MODAL
BEGIN
	TITLE "Local Find"
	TABLE ID idFindTable 2 26 154 110 ROWS findTableRows COLUMNS 1 COLUMNWIDTHS 152	
	BUTTON "Cancel" idFindResCancelButton 6 140 AUTO AUTO
	BUTTON "Find More" idFindResMoreButton PREVRIGHT+6 PREVTOP AUTO AUTO NONUSABLE
END

ALERT idAbout
INFORMATION
BEGIN
    TITLE "About List 0.99"
    MESSAGE "List is Freeware"\
	"\nJuly 3, 2000"\
	"\n\nAndrew Low"\
	"\nroo@magma.ca"\
	"\nwww.magma.ca/~roo"

    BUTTONS "Ok"
END

VERSION ID 1 "0.99"

ALERT idDuplicateDB
ERROR
BEGIN
    TITLE "Database name conflict"
    MESSAGE "A List database already exists with the name 'New List'. "\
	    "Use the Customize menu option to rename it before creating a new List database."
    BUTTONS "Ok"
END

ALERT idVerifyDeleteRecord
CONFIRMATION
BEGIN
    TITLE "Delete Record"
    MESSAGE "Delete the current record?"
    BUTTONS "Ok" "Cancel"
END

ALERT idVerifyDeleteDB
CONFIRMATION
BEGIN
    TITLE "Delete Database"
    MESSAGE "Delete the current List database?"
    BUTTONS "Ok" "Cancel"
END

ALERT idVerifyReplaceDB
CONFIRMATION
BEGIN
    TITLE "Replace Database"
    MESSAGE "Overwrite the existing List database?"
    BUTTONS "Ok" "Cancel"
END

ALERT idMaxNumberOfDBs
ERROR
BEGIN
    TITLE "Too Many Databases"
    MESSAGE "List supports a maximum of 12 databases."
    BUTTONS "Ok"
END

ALERT idNameConflict
ERROR
BEGIN
    TITLE "Database Name Conflict"
    MESSAGE "You cannot have two List databases with the same name.  Change the List Name to something unique."
    BUTTONS "Ok"
END

ALERT idNameEmptyError
ERROR
BEGIN
    TITLE "Database Name Empty"
    MESSAGE "You cannot have an unnamed database."
    BUTTONS "Ok"
END

ALERT idWriteProtect
ERROR
BEGIN
    TITLE "Database is Write-Protected"
    MESSAGE "The database is marked as write-protected.  You can change this by "\
	"using the Customize menu option."
    BUTTONS "Ok"
END

ALERT idNoMemUpdate
ERROR
BEGIN
    TITLE "Low Memory"
    MESSAGE "Unable to update record -- Changes discarded."
    BUTTONS "Ok"
END

ALERT idBeamNotSupported
WARNING
BEGIN
    TITLE "Beam"
    MESSAGE "This device does not have the infrared hardware required for the Beam command."
    BUTTONS "OK"
END

ALERT idCopyProtected
INFORMATION
BEGIN
    TITLE "Cannot Beam"
    MESSAGE "Copy-protected databases cannot be beamed."
    BUTTONS "OK"
END

ALERT bad
ERROR
BEGIN
	TITLE "Unknown Error"
	MESSAGE "An unexpected situation has occured"
	BUTTONS "Oh Well"
END

// Max size of idStringView + idStringOf + 10 < 32
STRING idStringView			"View "
STRING idStringOf			" of "

// Max size of idStringUnfiled < 16
STRING idStringUnfiled		"Unfiled"

// Max size of idStringNewDatabase < 31
STRING idStringNewDatabase	"New List"

// Max size of each of the following < 15 per string.
STRING idStringField1		"Field1"
STRING idStringField2		"Field2"
STRING idStringNote			"Note"
